{% extends "base.html" %}


{% block content %}

<article class='flexbox_leftright'>
	<!-- SideBar -->
<div id='sidebar'>
		{% include '_sidebar.html' %}
</div>

<!-- FORM -->
<form action={{ url_for('accountSettings') }} method='post' novalidate>
	<!-- Username -->
	{{ accountForm.username.label }}<br>
	{{ accountForm.username(size=32, autocomplete='username') }}<br>
	{% for error in accountForm.username.errors %}
		<span class='error'></span>
	{% endfor %}<br>
		
	<!-- Email -->
	{{ accountForm.email.label }}<br>
	{{ accountForm.email(size=32, autocomplete='email') }}<br>
	{% for error in accountForm.email.errors %}
		<span class='error'></span>
	{% endfor %}<br>
	<br><div class='center-align'>{{ accountForm.submit_account() }}</div>
</form>

	<!-- Password -->
<form id='password' action={{ url_for('passwordSettings') }} method='post' novalidate>
	<!-- Old Password-->
	{{ passwordForm.old_password.label }}<br>
	{{ passwordForm.old_password(size=32, autocomplete='off') }}<br>
	{% for error in passwordForm.old_password.errors %}
		<span class='error'>{{ error }}</span>
	{% endfor %}<br>

	<!-- New Password-->
	{{ passwordForm.new_password.label }}<br>
	{{ passwordForm.new_password(size=32, autocomplete='off') }}<br>
	{% for error in passwordForm.new_password.errors %}
		<span class='error'>{{ error }}</span>
	{% endfor %}<br>					

	<!-- New Password 2 -->
	{{ passwordForm.new_password_2.label }}<br>
	{{ passwordForm.new_password_2(size=32, autocomplete='off') }}<br>
	{% for error in passwordForm.new_password_2.errors %}
		<span class='error'>{{ error }}</span>
	{% endfor %}<br>
	<br><div class='center-align'>{{ passwordForm.submit_password() }}</div>
</form>
<form id='moreSpace' action={{ url_for('moreSpaceSettings') }} method='post' novalidate>

	<!-- Amount -->
	{{ moreSpaceForm.amount.label }}<br>
	{{ moreSpaceForm.amount(size=32) }}<br>
	{% for error in moreSpaceForm.amount.errors %}
		<span class='error'>{{ error }}</span>				
	{% endfor %}<br>

	<!-- Reason -->
	{{ moreSpaceForm.reason.label }}<br>
	{{ moreSpaceForm.reason(rows='10', cols='30') }}<br>
	{% for error in moreSpaceForm.reason.errors %}
		<span class='error'>{{ error }}</span>				
	{% endfor %}<br>

	<!-- Submit -->
	<br><div class='center-align'>{{ moreSpaceForm.submit_moreSpace() }}</div>
</form>
{% endblock %}
